Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.mssql
Class TMssqlCreateFunction

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.TBlockSqlStatement
                  gudusoft.gsqlparser.stmt.TStoredProcedureSqlStatement
                      gudusoft.gsqlparser.stmt.mssql.TMssqlCreateFunction

All Implemented Interfaces:
  Visitable

    public class TMssqlCreateFunction

extends TStoredProcedureSqlStatement

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TMssqlCreateFunction(EDbVendor dbvendor)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`int` | `doParseStatement(TCustomSqlStatement psql)`
`TMssqlBlock` | `getBlock()`
`TObjectName` | `getFunctionName()` The name that you give to the function that you are declaring or defining.
`int` | `getFunctionType()` this is used for backward compatibility of .NET version TMssqlCreateFunction.functiontype please use `returnMode` in java version
`TTypeName` | `getReturnDataType()`
`int` | `getReturnMode()` create function of sql server may return normal datatype, or return TABLE, or TABLE with variable
`TMssqlReturn` | `getReturnStmt()`
`TTableElementList` | `getReturnTableDefinitions()`
`TObjectName` | `getReturnTableVaraible()`
`TObjectName` | `getStoredProcedureName()`

Methods inherited from class gudusoft.gsqlparser.stmt.TStoredProcedureSqlStatement
`getDeclareStatements, getParameterDeclarations, setParameterDeclarations`

Methods inherited from class gudusoft.gsqlparser.stmt.TBlockSqlStatement
`getBodyStatements`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, getCteList, getErrorCount, getLabelName, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setLabelName, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TMssqlCreateFunction

    public TMssqlCreateFunction(EDbVendor dbvendor)

Method Detail

### getStoredProcedureName

    public TObjectName getStoredProcedureName()

  Overrides:
    `getStoredProcedureName` in class `TStoredProcedureSqlStatement`

### getFunctionName

    public TObjectName getFunctionName()

  The name that you give to the function that you are declaring or defining.

  Returns:

### getReturnMode

    public int getReturnMode()

  create function of sql server may return normal datatype, or return TABLE, or TABLE with variable

  TBaseType.function_return_datatype

  TBaseType.function_return_table

  TBaseType.function_return_table_variable

  if return mode is TBaseType.function_return_datatype, check datatype in returnDataType

  if return mode is TBaseType.function_return_table_variable, check returnTableVaraible and tableDefinitions.

  Returns:

### getBlock

    public TMssqlBlock getBlock()

  Returns:
    statements in create function

### getReturnStmt

    public TMssqlReturn getReturnStmt()

  Returns:
    this is the only return statement in create function.

### getReturnTableVaraible

    public TObjectName getReturnTableVaraible()

### getReturnTableDefinitions

    public TTableElementList getReturnTableDefinitions()

### getReturnDataType

    public TTypeName getReturnDataType()

### getFunctionType

    public int getFunctionType()

  this is used for backward compatibility of .NET version TMssqlCreateFunction.functiontype please use `returnMode` in java version

  Returns:

### doParseStatement

    public int doParseStatement(TCustomSqlStatement psql)

  Overrides:
    `doParseStatement` in class `TCustomSqlStatement`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD